/***********************************************************************************************************
 * Copyright (c)  2023 - 2024, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : um2007LB_hal.h
 * Description : um2007LB_hal drvier header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2024-10-26
 ***********************************************************************************************************/
#ifndef __UM2007LB_HAL_H__
#define __UM2007LB_HAL_H__

#include "typedefs.h"

#ifdef __cplusplus
extern "C" {
#endif

void um2007LB_hal_delay_us(u16_t us);

void twi_init(void);

void twi_reset(void);

em_ret_t twi_on(void);

void twi_off(void);

void twi_write_byte(u8_t byte);

u8_t twi_read_byte(void);

void um2007LB_hal_direct_data(u8_t level);

#ifdef __cplusplus
}
#endif

#endif
